# Uses of Enum Class org.bukkit.event.weather.ThunderChangeEvent.Cause (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.event.weather, class: ThunderChangeEvent, enum: Cause

# Uses of Enum Class
org.bukkit.event.weather.ThunderChangeEvent.Cause

Packages that use ThunderChangeEvent.Cause
Package
Description
org.bukkit.event.weather
`Events` relating to weather.

## Uses of ThunderChangeEvent.Cause in org.bukkit.event.weather

Methods in org.bukkit.event.weather that return ThunderChangeEvent.Cause
Modifier and Type
Method
Description
`@NotNull ThunderChangeEvent.Cause`
ThunderChangeEvent.`getCause()`
Gets the cause of the weather change.
`static ThunderChangeEvent.Cause`
ThunderChangeEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ThunderChangeEvent.Cause[]`
ThunderChangeEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.weather with parameters of type ThunderChangeEvent.Cause
Modifier
Constructor
Description
``
`ThunderChangeEvent(@NotNull World world, boolean to, @NotNull ThunderChangeEvent.Cause cause)`